Bug 439219 - pk-update-viewer causes repeated warnings from gnome-power-manager
pk-update-viewer causes repeated warnings from gnome-power-manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 11:56 EDT by Dan Winship
Modified: 2013-03-05 22:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Winship 2008-03-27 11:56:41 EDT
In the detail view of pk-update-viewer, every time you click a line, the status
bar shows "Getting information" and then gnome-power-manager pops up a
notification, warning that a program has prevented from the laptop from being
able to sleep.

g-p-m is being annoying here by warning about this, but at the same time, why
does PackageKit need to inhibit sleep just to do a *query*?
Comment 1 Richard Hughes 2008-03-27 13:28:59 EDT
Well, it's a technical detail, but yum locks the rpmdb when depsolving - it
could be we are getting inhibited by the depsolve, although I don't know why it
would depsolve for a search.

I'll check it out.
Comment 2 Richard Hughes 2008-04-20 20:43:42 EDT
Yup, yum calls into random bits of rpm, which isn't safe to interrupt. Do you
think we should just show the notification once _ever_ or wait till the user
clicks the button?

Richard.
Comment 3 Dan Winship 2008-04-21 08:30:49 EDT
I'm not sure what you mean by "wait till the user clicks the button".

At this point, I think the bug is probably g-p-m's fault. Alerting the user
every time an app inhibits sleep is really annoying, and so everyone is just
going to end up clicking the "never harass me about this again" button, so it
really needs to find a better way to handle it. (Saying "but we have to show the
dialogs because people need to know when sleep is inhibited because otherwise
they might close their laptop and not realize it's not going to go to sleep and
then it will fry itself and they'll hate us" is missing the point; they will fry
their laptop anyway, because they will have already clicked "don't tell me
again" long before that point, because the earlier warnings were so annoying.)
Comment 4 Bug Zapper 2008-05-14 04:19:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stewart Adam 2008-05-24 15:38:39 EDT
packagekit (or g-p-m, which ever it is) should notify the user when the machine
is capable to sleep as well. I'm see multiple notifications that I can't sleep
as I do updates, and I'm assuming sleep will work again after updates are
finished but who knows...
Comment 6 Robin Norwood 2008-05-27 13:16:26 EDT
Dan's comment #3 summarizes the issue pretty well.  Unless PK is somehow abusing
gnome-power-manager to cause this behavior, I think it probably should be a
g-p-m bug.
Comment 7 Richard Hughes 2009-04-15 12:14:04 EDT
Should be fixed in F10, right?
Comment 8 Dan Winship 2009-04-15 13:21:29 EDT
i don't see the warnings any more, but it's possible that i just clicked a "don't ever show me these ever again" button somewhere. i dno't know where i'd check that
Comment 9 Bug Zapper 2009-06-09 19:53:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:08:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.